package com.ssj.bean.sys.push.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "scon_push_message")
public class SconPushMessage extends BaseEntity {

	private static final long serialVersionUID = 1L;
	
	private String pushUserId; //推送的目标用户id,如果是小塾则是贝壳号
	
	private Integer platformType; //推送客户端类型，1:贝壳端 2:家长端 3:学生端 4:老师端 5:校长端
	private String platform; //推送平台 XINGE

	private String title; //消息标题
	private String content; //推送内容

	private Date  createTime;//创建时间
	
	@Column(name = "push_user_id")
    public String getPushUserId() {
		return pushUserId;
	}

	public void setPushUserId(String pushUserId) {
		this.pushUserId = pushUserId;
	}

	public Integer getPlatformType() {
		return platformType;
	}

	public void setPlatformType(Integer platformType) {
		this.platformType = platformType;
	}

	@Column(name = "platform")
	public String getPlatform() {
		return platform;
	}

	public void setPlatform(String platform) {
		this.platform = platform;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	@Column(name = "content")
	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	@Column(name = "create_time")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

}
